class svgLoad extends HTMLElement {
    connectedCallback() {
        let svgName = this.getAttribute("data-name");
        let xhr = new XMLHttpRequest();
        xhr.onreadystatechange = () => {
            if(xhr.readyState === 4 && xhr.status === 200){
                this.innerHTML = xhr.responseText;
            }
        }

        xhr.open("GET", "/svg/" + svgName + ".svg");
        xhr.send();
    }
}

customElements.define("jl-svg", svgLoad);